import Vue from 'vue';
import Router from 'vue-router';
//首页
const Index = () => import('@/views/index');
// 医院评审动态
const Reviewhospital = () => import('@/views/reviewhospital');
// 医政新闻
const News = () => import('@/views/news');
// 医政新闻下面的二级页面
// 医政行业动态
const Industry = () => import('@/views/news/industry');
// 医政沙龙风采
const Sharon = () => import('@/views/news/sharon');
// 医政沙龙邀请函
const Invitation = () => import('@/views/news/invitation');
// 医院管理制度
const Managementhospital = () => import('@/views/managementhospital');
//新规新政
const Newrules = () => import('@/views/newrules');
//新规新政下面的二级页面
//法律法规
const Law = () => import('@/views/newrules/law');
//政策解析
const Policy = () => import('@/views/newrules/policy');
//医疗保险
const Insurance = () => import('@/views/newrules/insurance');

//专家风采
const Experts = () => import('@/views/experts');
//专家风采下面的二级页面
//分领域
const Field = () => import('@/views/experts/field');

// 医政风采
const Doctorpolitical = () => import('@/views/doctorpolitical');
//医政风采下面的二级页面
//概念与责任
const Concept = () => import('@/views/doctorpolitical/concept');
//病房质量管理
const Ward = () => import('@/views/doctorpolitical/ward');
//门诊质量管理
const Outpatientservice = () => import('@/views/doctorpolitical/outpatientservice');
 //医生技能管理
const Doctorskill = () => import('@/views/doctorpolitical/doctorskill');
 //核心制度
const Core = () => import('@/views/doctorpolitical/core');
 //执业医生注册
const Registered = () => import('@/views/doctorpolitical/registered');
 //卫生支农
const Farmers = () => import('@/views/doctorpolitical/farmers');
 //病例质量管理
const Cases = () => import('@/views/doctorpolitical/cases');
 //健康教育
const Education = () => import('@/views/doctorpolitical/education');
 //评审
const Review = () => import('@/views/doctorpolitical/review');

//护理天地
const Nursing = () => import('@/views/nursing');
//护理天地下面的二级页面
//护理管理
const Nursingmanagement = () => import('@/views/nursing/nursingmanagement');
//护理质量
const Nursingquality = () => import('@/views/nursing/nursingquality');
//护理教育
const Nursingeducation = () => import('@/views/nursing/nursingeducation');
//护理科研
const Nursingresearch = () => import('@/views/nursing/nursingresearch');

//卫生节日一览
const Healthfestival = () => import('@/views/healthfestival');
//服务项目
const Service = () => import('@/views/service');

//新闻详情页面
const NewsDetails = () => import('@/views/newsDetails');

//新闻模糊查询页面
const Obscure = () => import('@/views/obscure');

Vue.config.productionTip = false;
Vue.use(Router);
export default new Router({
  // base: '/jkcredit/',
  mode: 'history',
  routes: [
    // 首页
    { name: 'Index', path: '/', component: Index },
    // 医院评审动态
    { name: 'Reviewhospital', path: '/reviewhospital', component: Reviewhospital},
    // 医政新闻
    { name: 'News', path: '/news', component: News},
    //医政新闻下面的二级页面
    //医政行业动态
    { name: 'Industry', path: '/industry', component: Industry},
    // 医政沙龙风采
    { name: 'Sharon', path: '/sharon', component: Sharon},
    // 医政沙龙邀请函
    { name: 'Invitation', path: '/invitation', component: Invitation},

    // 医院管理制度
    { name: 'Managementhospital', path: '/managementhospital', component: Managementhospital},
    //新规新政
    { name: 'Newrules', path: '/newrules', component: Newrules},
    //新规新政下面的二级页面
    //法律
    { name: 'Law', path: '/law', component: Law},
    // //法规
    // { name: 'Regulations', path: '/regulations', component: Regulations},
    //政策
    { name: 'Policy', path: '/policy', component: Policy},
    //医疗保险
    { name: 'Insurance', path: '/insurance', component: Insurance},

    //专家风采
    { name: 'Experts', path: '/experts', component: Experts},
    //专家风采下面的二级页面
    //分领域
    { name: 'Field', path: '/field', component: Field},

    //医政风采
    { name: 'Doctorpolitical', path: '/doctorpolitical', component: Doctorpolitical},
    //医政风采下面的二级页面
    //概念与职责
    { name: 'Concept', path: '/concept', component: Concept},
    //病房质量管理
    { name: 'Ward', path: '/ward', component: Ward},
    //门诊质量管理
    { name: 'Outpatientservice', path: '/outpatientservice', component: Outpatientservice},
    //医生技能管理
    { name: 'Doctorskill', path: '/doctorskill', component: Doctorskill},
    //核心制度
    { name: 'Core', path: '/core', component: Core},
    //执业医生注册
    { name: 'Registered', path: '/registered', component: Registered},
    //卫生支农
    { name: 'Farmers', path: '/farmers', component: Farmers},
    //病例质量管理
    { name: 'Cases', path: '/cases', component: Cases},
    //健康教育
    { name: 'Education', path: '/education', component: Education},
    //评审
    { name: 'Review', path: '/review', component: Review},

    //护理天地
    { name: 'Nursing', path: '/nursing', component: Nursing},
    //护理天地下的二级页面
    //护理管理
    { name: 'Nursingmanagement', path: '/nursingmanagement', component: Nursingmanagement},
    //护理质量
    { name: 'Nursingquality', path: '/nursingquality', component: Nursingquality},
    //护理教育
    { name: 'Nursingeducation', path: '/nursingeducation', component: Nursingeducation},
    //护理科研
    { name: 'Nursingresearch', path: '/nursingresearch', component: Nursingresearch},

    //卫生节日一览
    { name: 'Healthfestival', path: '/healthfestival', component: Healthfestival},
    //服务项目
    { name: 'Service', path: '/service', component: Service},

    //新闻详情页面
    { name: 'NewsDetails', path: '/newsDetails/:id', component: NewsDetails},

    //新闻模糊查询页面
    { name: 'Obscure', path: '/obscure', component: Obscure},
  ]
});
